Bug 1304294 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:79ff19d135afdbc47e9cf99abcc...
:
: 1330011 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 04:37 EST by Edward O'Callaghan
Modified: 2016-12-20 13:24 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:24:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (113.12 KB, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: core_backtrace (13.50 KB, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: dso_list (31.73 KB, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: environ (1.66 KB, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: maps (181.71 KB, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: mountinfo (3.58 KB, text/plain)
2016-02-03 04:37 EST, Edward O'Callaghan
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-03 04:38 EST, Edward O'Callaghan
no flags Details
File: open_fds (187 bytes, text/plain)
2016-02-03 04:38 EST, Edward O'Callaghan
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-03 04:38 EST, Edward O'Callaghan
no flags Details
File: var_log_messages (314 bytes, text/plain)
2016-02-03 04:38 EST, Edward O'Callaghan
no flags Details

  None (edit)
Description Edward O'Callaghan 2016-02-03 04:37:27 EST
Description of problem:
Nothing special, making a cup of tea actually.

Version-Release number of selected component:
plasma-workspace-5.5.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell -s --crashes 1
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     2214
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 QMetaObject::methodOffset at kernel/qmetaobject.cpp:382
 #4 QMetaObject::activate at kernel/qobject.cpp:3760
 #5 VDMModelDelegateDataType::notify at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/util/qqmladaptormodel.cpp:171
 #6 QQmlAdaptorModel::notify at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/util/qqmladaptormodel_p.h:118
 #7 QQmlDelegateModel::_q_itemsChanged at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/types/qqmldelegatemodel.cpp:1144
 #8 QQmlDelegateModel::_q_layoutChanged at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/types/qqmldelegatemodel.cpp:1608
 #9 QQmlDelegateModel::qt_static_metacall at .moc/moc_qqmldelegatemodel_p.cpp:205
 #10 QQmlDelegateModel::qt_metacall at .moc/moc_qqmldelegatemodel_p.cpp:344
 #11 QMetaObject::activate at kernel/qobject.cpp:3728
Comment 1 Edward O'Callaghan 2016-02-03 04:37:38 EST
Created attachment 1120692 [details]
File: backtrace
Comment 2 Edward O'Callaghan 2016-02-03 04:37:40 EST
Created attachment 1120693 [details]
File: cgroup
Comment 3 Edward O'Callaghan 2016-02-03 04:37:43 EST
Created attachment 1120694 [details]
File: core_backtrace
Comment 4 Edward O'Callaghan 2016-02-03 04:37:46 EST
Created attachment 1120695 [details]
File: dso_list
Comment 5 Edward O'Callaghan 2016-02-03 04:37:49 EST
Created attachment 1120696 [details]
File: environ
Comment 6 Edward O'Callaghan 2016-02-03 04:37:51 EST
Created attachment 1120697 [details]
File: limits
Comment 7 Edward O'Callaghan 2016-02-03 04:37:56 EST
Created attachment 1120698 [details]
File: maps
Comment 8 Edward O'Callaghan 2016-02-03 04:37:58 EST
Created attachment 1120699 [details]
File: mountinfo
Comment 9 Edward O'Callaghan 2016-02-03 04:38:00 EST
Created attachment 1120700 [details]
File: namespaces
Comment 10 Edward O'Callaghan 2016-02-03 04:38:03 EST
Created attachment 1120701 [details]
File: open_fds
Comment 11 Edward O'Callaghan 2016-02-03 04:38:05 EST
Created attachment 1120702 [details]
File: proc_pid_status
Comment 12 Edward O'Callaghan 2016-02-03 04:38:07 EST
Created attachment 1120703 [details]
File: var_log_messages
Comment 13 Marek Hruscak 2016-04-25 05:44:31 EDT
*** Bug 1330011 has been marked as a duplicate of this bug. ***
Comment 14 Bruno Rocha 2016-04-28 06:14:54 EDT
Similar problem has been detected:

The crash happens almost everytime I click "Connect" on an OpenVPN connection.

On .xsession-errors the following is visible:

QDBusObjectPath: invalid path ""
Application::crashHandler() called with signal 11; recent crashes: 1
plasma-nm: Unhandled VPN connection state change:  3
networkmanager-qt: void NetworkManager::ActiveConnectionPrivate::propertiesChanged(const QVariantMap&) Unhandled property "VpnState"
KCrash: Application 'plasmashell' crashing...

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1503
kernel:         4.4.7-300.fc23.x86_64
package:        plasma-workspace-5.5.5-5.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            2003
Comment 15 Jonathan Wakely 2016-04-29 13:19:44 EDT
Similar problem has been detected:

Used the nm-applet to connect to a VPN, and as the connection changed status in the widget plasmashell crashed.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell -s --crashes 1
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     14733
kernel:         4.4.7-300.fc23.x86_64
package:        plasma-workspace-5.5.5-5.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Alvin 2016-06-07 05:48:59 EDT
Similar problem has been detected:

(KDE Spin)

1. Click NetworkManager widget
2. Click connect on an OpenVPN network
3. Plasmashell crash

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     3065
kernel:         4.5.5-201.fc23.x86_64
package:        plasma-workspace-5.6.4-1.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 17 Fedora End Of Life 2016-11-24 10:22:13 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 13:24:21 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.